##############################################################################
# REPLACE STRINGS
#
# USED NAMES:
# samplename (PDFTools)		= PkgName
# sampledir (ksm-pdftools)	= pkg-dirname = pkg-filename (ksm-xxx)
# sampleconf (ksm-pdftools)	= config file name (no extension)
# sampledm (pdftoolsd)		= the daemon (rc-script, rc-link, systemd.service)
# sample (pdftools)		= all others
##############################################################################

# Specfile for PDFTools

%define name	ksm-pdftools
%define version	0.0.7
%define release	12.0.0
%define _arch	noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _sysddir	/etc/systemd/system
%define _bindir		/usr/local/bin
%define _sbindir	/usr/local/sbin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	Some programs to handle PDFs
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Other
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	%{_arch}
#BuildRequires:	pdftoolspkg,pdftoolscapab
Requires:	pdftk,podofo,poppler-tools,enscript,ghostscript-library,recode
Requires:	texlive-pdfjam-bin,texlive-hyperref, htmldoc
Requires:	dialog,tree,skanlite,tesseract,bluefish
Requires:	ksm-lib-sh >= 5.0.1-0.0.0,ksm-csv >= 0.0.1-1.0.0,ksm-img-converter >= 1.0.0-8.1.0
#Provides:	pdftoolsd
#Conflicts:	pdftoolsd-other,libpdftools == 0.0.0
#Obsoletes:	mypdftoolsd

%description
This package contains following tools for handling of PDFs:
 makepdf, pdfman, pdfupdateinfo, searchpdf

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) %{_confdir}/pdftools.conf
#%config %{_confdir}/pdftools.conf
#%config %{_scnfdir}/pdftools
%attr(644,root,root)%{_confdir}/ksm-pdftools.conf
#%attr(644,root,root)%{_scnfdir}/pdftools

#%attr(744,root,root)%{_rcdir}/pdftoolsd
#%attr(777,root,root)%{_sbindir}/rcpdftoolsd
#%attr(744,root,root)%{_sbindir}/pdftoolsd.sh

%attr(755,root,root)%{_bindir}/makepdf
%attr(755,root,root)%{_bindir}/pdfman
%attr(755,root,root)%{_bindir}/pdfupdateinfo
%attr(755,root,root)%{_bindir}/searchpdf

#%attr(744,root,root)%{_bindir}/pdftoolsd

%{_datadir}/RELEASE
%{_datadir}/VERSION
%{_datadir}/bash.bashrc.local.add
#%{_datadir}/pdftoolsd.service

/usr/share/applications/MakePDF.desktop
/usr/share/applications/PDFMan.desktop

%{_icondir}/16x16/apps/makepdf.png
%{_icondir}/22x22/apps/makepdf.png
%{_icondir}/32x32/apps/makepdf.png
%{_icondir}/48x48/apps/makepdf.png
%{_icondir}/64x64/apps/makepdf.png
%{_icondir}/96x96/apps/makepdf.png
%{_icondir}/128x128/apps/makepdf.png
%{_icondir}/256x256/apps/makepdf.png
%{_icondir}/512x512/apps/makepdf.png

%{_icondir}/16x16/apps/pdfman.png
%{_icondir}/22x22/apps/pdfman.png
%{_icondir}/32x32/apps/pdfman.png
%{_icondir}/48x48/apps/pdfman.png
%{_icondir}/64x64/apps/pdfman.png
%{_icondir}/96x96/apps/pdfman.png
%{_icondir}/128x128/apps/pdfman.png
%{_icondir}/256x256/apps/pdfman.png
%{_icondir}/512x512/apps/pdfman.png
#/usr/share/pixmaps/pdfman.png

%docdir %{_man1dir}
%{_man1dir}/makepdf.1.gz
%{_man1dir}/pdfman.1.gz
%{_man1dir}/pdfupdateinfo.1.gz
%{_man1dir}/searchpdf.1.gz

%docdir %{_man8dir}
#%{_man8dir}/pdftoolsd.sh.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
%{_docdir}/README.de

#---------------------- ORDER OF SCRIPTLETS ----------------------------------
# O=old pkg, N=new pkg

# INSTALL:
# 1. Run %pre section of N		(Arg is 1)
# 2. Install files from N
# 3. Run %post section of N		(Arg is 1)

# UNINSTALL:
# 1. Run %preun section of O		(Arg is 0)
# 2. Delete files from O
# 3. Run %postun section of O		(Arg is 0)

# UPGRADE:
#  1. Run %pre section of O		(Arg is 2)
#  2. Install files from N
#  3. Run %post section of N		(Arg is 2)
#  4. Execute install. triggers (%triggerin in other pkgs) set off by install N
#  5. Execute installation triggers of N
#  6. Execute uninstallation triggers (%triggerun) of O
#  7. Execute uninstallation triggers (of other pkgs) set off by uninstall O
#  8. Run %preun section of O		(Arg is 1)
#  9. Delete files from O not contained in N
# 10. Run %postun section of O		(Arg is 1)

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# backup config files
test -e %{_confdir}/ksm-pdftools.conf && cp %{_confdir}/ksm-pdftools.conf %{_confdir}/ksm-pdftools.conf.rpmsave
#test -e %{_scnfdir}/ksm-pdftools && cp %{_scnfdir}/ksm-pdftools %{_scnfdir}/ksm-pdftools.rpmsave

# disable sample daemon and stop sampled
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop -q > /dev/null 2>&1

# rm links
#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
#rm -f %{_libdir}/libfuncstd-sh

# uninstall desktop files
xdg-desktop-menu uninstall \
	/usr/share/applications/MakePDF.desktop \
	/usr/share/applications/PDFMan.desktop

# INIT SCRIPT/SYSTEMD UNIT - uninstall samplename
#if [ -d %{_sysddir} ]; then				# systemd
#	if [ -e %{_sysddir}/sampled.service ]; then
#		systemctl stop sampled.service
#		systemctl disable sampled.service
#		rm %{_sysddir}/sampled.service
#		systemctl daemon-reload
#	fi
#else							# SysV init
#	test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop > /dev/null 2>&1
#	insserv -r sampled > /dev/null 2>&1
#	rm -f %{_rcdir}/sampled
#	rm -f %{_sbindir}/rcsampled
#fi

#if [ "$1" == 1 ]; then					# install package
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# Definition of vars
# set config pathname. config file needs a version at first cnfvar!
cf=%{_confdir}/ksm-pdftools.conf
cnfvars=$(grep -v '^#' $cf | grep '[[:alnum:]]' | grep -v '\[' | cut -sd '=' -f1)
cnfvars=$(echo $cnfvars | cut -d ' ' -f2-)
ret=0

# enable sample daemon
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -e -q > /dev/null 2>&1

# set links
#ln -sf /usr/bin/prog %{_bindir}/myprog
#ln -sf %{_libdir}/libfuncstd-sh-%{version} %{_libdir}/libfuncstd-sh

# install desktop files
xdg-desktop-menu install --novendor \
	/usr/share/applications/MakePDF.desktop \
	/usr/share/applications/PDFMan.desktop

# add a (new) template to bash.bashrc.local
f=/etc/bash.bashrc.local				# pathname of file
templ=%{_datadir}/bash.bashrc.local.add			# template in datadir
tmpf=/tmp/bash.bashrc.local				# tempfile
flag=ksm-pdftools					# flag for entries
if [ -e $f ]; then					# file exist
	grep -q $flag $f				# look for flag
	ret=$?
	if [ $ret -ne 0 ]; then				# no flag found
		cat $templ >> $f			# add entries
	else						# flag found
		cat $f | grep $flag > $tmpf		# get add from file
		cmp -s $tmpf $templ			# cmp add vs. templ
		ret=$?
		if [ $ret -ne 0 ]; then			# templ is new
			cat $f | grep -v $flag > $tmpf	# rm add from file
			cp $tmpf $f
			cat $templ >> $f		# add new entries
		fi
		rm -f $tmpf
	fi
	echo "Users who are logged in should source $f"
else
	echo "File $f not found!"
fi

# INIT SCRIPT/SYSTEMD UNIT - install samplename
#if [ -d %{_sysddir} ]; then				# systemd
#	cp --preserve=mode %{_datadir}/sampled.service %{_sysddir}/
#	systemctl daemon-reload
#	systemctl enable sampled.service
#	echo "sampled is added to the bootprocess and will auto start at next boot."
#	echo "Now configure $cf"
#	echo "You may start sampled within yast or manual with:"
#	echo "systemctl start sampled.service"
#else							# SysV init
#	cp --preserve=mode %{_datadir}/sampled.rc %{_rcdir}/sampled
#	ln -sf %{_rcdir}/sampled %{_sbindir}/rcsampled
#	insserv sampled > /dev/null 2>&1
#	echo "sampled is added to the bootprocess and will auto start at next boot."
#	echo "Now configure $cf"
#	echo "You may start sampled within yast or manual with rcsampled start"
#fi

# install/update all users rc files
#updcmd='' usr='' u=''
#updcmd="%{_bindir}/update-sample -q"
# for all usr below /home/ do:
#usr=$(/usr/bin/grep /home/ /etc/passwd | /usr/bin/cut -d : -f 1)
#for u in $usr; do
#	if [ -e /home/${u}/.$samplerc ]; then	# if exist rc file
#		/bin/su $u -c "$updcmd"
#	fi
#done
#echo "Package $sampledir: All users rc files have been updated"
#echo "Package $sampledir: All existing users rc files have been updated"

if [ "$1" == 1 ]; then					# install package
	echo "If not already done then install Python 3.6"
	echo "From within Python 3.6 install the Python 3.6 package hocr-tools with pip"
	echo "Configure $cf"
else							# upgrade package
	# update global conf
	if [ -e $cf.rpmsave ]; then
		c='' s='' t=''
		#cp $cf $cf.rpmnew
		. $cf
		. $cf.rpmsave

		# update conf vars START -------------------------------------
		if [ -x %{_bindir}/replcnfvar ]; then
			for c in $cnfvars; do
				t="\$$c"
				eval s="$t"
				s=\"$s\"
				%{_bindir}/replcnfvar $cf $c "$s"
			done
		else
			echo "Error - cmd replcnfvar not found or not executable!" >&2
			echo "Conf file not updated!" >&2
		fi
		# update conf vars STOP --------------------------------------

#		# update array vars START ------------------------------------
#		cnt=0 i=0
#		# array var MainArr
#		cnt=${#MainArr[@]}			# max index of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any arrays in use?
#			while [ "$i" -lt $cnt ]; do
#				let i++
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#			done
#		fi
#		# update array vars STOP -------------------------------------

		# compare new conf vars <--> old conf vars
		diff $cf $cf.rpmsave > /dev/null 2>&1
		ret=$?
		if [ "$ret" -eq 0 ]; then
			rm $cf.rpmsave
		else
			echo "Check $cf"
		fi
	fi
fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

f='' tmpf='' flag=''
ret=0

if [ "$1" == 0 ]; then					# remove package
	# backup config files
	test -e %{_confdir}/ksm-pdftools.conf && cp %{_confdir}/ksm-pdftools.conf %{_confdir}/ksm-pdftools.conf.rpmsave
	#test -e %{_scnfdir}/ksm-pdftools && cp %{_scnfdir}/ksm-pdftools %{_scnfdir}/ksm-pdftools.rpmsave

	# disable sample daemon and stop sampled
	#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
	#test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop -q > /dev/null 2>&1

	# rm links
	#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
	#rm -f %{_libdir}/libfuncstd-sh

	# uninstall desktop files
	xdg-desktop-menu uninstall \
		/usr/share/applications/MakePDF.desktop \
		/usr/share/applications/PDFMan.desktop

	# remove entries from file bash.bashrc.local
	f=/etc/bash.bashrc.local			# pathname of file
	tmpf=/tmp/bash.bashrc.local			# tempfile
	flag=ksm-pdftools				# flag for entries
	ret=0
	if [ -e $f ]; then
		grep -q $flag $f			# look for flag
		ret=$?
		if [ $ret -eq 0 ]; then			# flag found
			cat $f | grep -v $flag > $tmpf	# rm add from file
			cp $tmpf $f
			rm -f $tmpf
		fi
	else
		echo "File $f not found!"
	fi

	# INIT SCRIPT/SYSTEMD UNIT - uninstall samplename
	#if [ -d %{_sysddir} ]; then				# systemd
	#	if [ -e %{_sysddir}/sampled.service ]; then
	#		systemctl stop sampled.service
	#		systemctl disable sampled.service
	#		rm %{_sysddir}/sampled.service
	#		systemctl daemon-reload
	#	fi
	#else							# SysV init
	#	test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop > /dev/null 2>&1
	#	insserv -r sampled > /dev/null 2>&1
	#	rm -f %{_rcdir}/sampled
	#	rm -f %{_sbindir}/rcsampled
	#fi
#else							# upgrade package
fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/sampledir
#else							# upgrade package
fi
exit 0

%changelog
* Sun Jan 14 2024 Repomaster <repomaster@kaesmann-online.de> 0.0.7-12.0.0
- 'makepdf' has been revised/improved
  (options and behavior of tesseract have been changed).

* Mon Dec 18 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.7-11.0.0
- 'makepdf' and 'pdfman' have been revised/improved
  (options and behavior of tesseract have been changed).

* Tue Oct 10 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.7-10.0.0
- 'makepdf' and 'pdfman' have been revised/improved.

* Sat Apr 08 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.7-9.0.0
- 'searchpdf' has been revised/improved
  (added option -s).

* Fri Mar 24 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.7-8.0.0
- 'makepdf' and 'pdfman' have been revised/improved.

* Fri Mar 24 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.7-7.0.0
- 'pdfman' has been revised/improved
  (removed req. libmath-sh).

* Fri Mar 24 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.7-6.0.0
- 'searchpdf' has been revised/improved.

* Sat Feb 18 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.7-5.0.0
- 'makepdf' and 'pdfman' have been revised/improved.

* Thu Jan 26 2023 Repomaster <repomaster@kaesmann-online.de> 0.0.7-4.0.0
- The template for bash.bashrc.local has been
  revised/improved.

* Sat Dec 31 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.7-3.0.0
- 'pdfman' has been revised/improved
  (image extraction).

* Mon Dec 12 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.7-2.3.0
- 'makepdf' and ''pdfman have been revised/improved
  (dialog functions and docu).

* Tue Nov 29 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.7-2.2.0
- makepdf has been revised/improved
  (changed pdf creation programs
  and added metadata edit).

* Mon Nov 28 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.7-2.1.0
- Following programs have been revised/improved:
  makepdf, pdfman (dialog functions).

* Mon Nov 14 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.7-2.0.0
- Following programs have been revised/improved:
  makepdf, pdfman (better use of big terminals).

* Thu Nov 10 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.7-1.0.0
- Following programs have been revised/improved:
  makepdf, pdfman.

* Thu May 05 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.7-0.0.0
- Following programs have been revised/improved:
  makepdf, pdfman.
- The config file has been changed.

* Fri Apr 08 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.6-0.0.0
- The config file has been changed.

* Fri Mar 25 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.5-4.4.0
- Following programs have been revised/improved:
  makepdf, pdfman.

* Fri Mar 18 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.5-4.3.0
- 'makepdf' has been revised/improved.

* Tue Mar 15 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.5-4.2.0
- Following programs have been revised/improved:
  makepdf, pdfman (reworked menu entry 'About')

* Mon Mar 14 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.5-4.1.0
- All programs have been revised/improved.

* Mon Mar 07 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.5-4.0.0
- All programs have been revised/improved.

* Fri Feb 18 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.5-3.0.0
- Following programs have been revised/improved:
  makepdf, pdfman

* Sat Feb 05 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.5-2.1.0
- Following programs have been revised/improved:
  makepdf, pdfman

* Thu Jan 06 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.5-2.0.0
- Update to the libfuncstd-sh 4.0.0

* Mon Jan 03 2022 Repomaster <repomaster@kaesmann-online.de> 0.0.5-1.0.0
- 'makepdf' has been revised/improved
  (fixed overload with TREE).

* Wed Dec 08 2021 Repomaster <repomaster@kaesmann-online.de> 0.0.5-0.0.0
- The config file has been changed.
- 'makepdf' has been revised/improved.

* Wed Dec 08 2021 Repomaster <repomaster@kaesmann-online.de> 0.0.4-0.2.0
- icon set for 'makepdf' has been changed.

* Tue Dec 07 2021 Repomaster <repomaster@kaesmann-online.de> 0.0.4-0.1.0
- Now 'makepdf' has been better integrated in KDE.

* Tue Nov 30 2021 Repomaster <repomaster@kaesmann-online.de> 0.0.4-0.0.0
- 'makepdf' has been revised/improved
  (added global config var 'SCANNER').
- Removed 'update-pdftools' and the local
  config file '.searchpdfrc'

* Wed Nov 24 2021 Repomaster <repomaster@kaesmann-online.de> 0.0.3-0.1.0
- 'makepdf' has been revised/improved
  (editor for hocr file has changed to bluefish).
- The RPM scriptlets have been modified.

* Mon Nov 22 2021 Repomaster <repomaster@kaesmann-online.de> 0.0.3-0.0.0
- Added 'makepdf'

* Thu Sep 30 2021 Repomaster <repomaster@kaesmann-online.de> 0.0.2-4.3.0
- pdfman has been revised/improved
  (extract images as png).

* Tue Mar 23 2021 Repomaster <repomaster@kaesmann-online.de> 0.0.2-4.2.0
- pdfman has been revised/improved.

* Thu May 14 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.2-4.1.0
- The RPM scriptlets have been improved.

* Wed May 06 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.2-4.0.0
- The package has been revised/improved.

* Tue May 05 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.2-3.0.0
- fixed an error in the scriptlets.

* Tue May 05 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.2-2.0.0
- The requirements have changed.

* Thu Apr 23 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.2-1.0.0
- The RPM scriptlets have been revised/improved.

* Wed Apr 22 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.2-0.3.0
- The program pdfman has been revised/improved.

* Fri Mar 13 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.2-0.2.0
- The program pdfman has been revised/improved
  (fixed a common error while checking
  the output from dialog).

* Mon Feb 24 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.2-0.1.0
- The package has been revised/improved
  (added icons).

* Sun Feb 23 2020 Repomaster <repomaster@kaesmann-online.de> 0.0.2-0.0.0
- Added pdfman.
- The new config file ksm-pdftools.conf has
  been introduced.

* Fri Nov 02 2018 Repomaster <repomaster@kaesmann-online.de> 0.0.1-2.0.0
- updatepdfinfo changed to pdfupdateinfo.

* Tue Feb 07 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.1-1.2.0
- All scripts have been revised
  (using function GetOpt).

* Thu Jan 05 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.1-1.1.0
- All scripts have been revised.

* Fri Sep 30 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.1-1.0.1
- The rpm info of the package has been revised.

* Fri Mar 11 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.1-1.0.0
- Removed the script searchpdf.do
  Now searchpdf does all the stuff alone.

* Sat Mar 28 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.1-0.3.0
- The scripts searchpdf and searchpdf.do
  have been revised (added options -l and -p).

* Sat Mar 28 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.1-0.2.0
- Requirements of the package have been changed.

* Fri Mar 27 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.1-0.1.0
- The scripts searchpdf and searchpdf.do
  have been revised.

* Thu Mar 26 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.1-0.0.0
- The package has been revised.

* Wed Mar 25 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.0-0.0.0
- This is the 1. version.
- The package contains following programs:
  searchpdf        search PDFs in document dirs for text
  searchpdf.do     the working horse
  update-pdftools  install/update a users ~/.searchpdfrc
  updatepdfinfo    correct metadata of PDF
